# DoubleClick Bid Manager API . rubicon

## Instance Methods

Update proposal upon actions of Rubicon publisher.

### Method Details

`notifyproposalchange(body)`

    Update proposal upon actions of Rubicon publisher.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # NotifyProposalChange request.
        "action": "A String", # Action taken by publisher. One of: Accept, Decline, Append
        "notes": [ # Notes from publisher
          { # Publisher comment from Rubicon.
            "username": "A String", # Publisher user name.
            "source": "A String", # Equals "publisher" for notification from Rubicon.
            "message": "A String", # Message from publisher.
            "id": "A String", # Note id.
            "timestamp": "A String", # Time when the note was added, e.g. "2015-12-16T17:25:35.000-08:00".
          },
        ],
        "href": "A String", # URL to access proposal detail.
        "id": "A String", # Below are contents of notification from Rubicon. Proposal id.
        "token": "A String", # Deal token, available when proposal is accepted by publisher.
      }